# cloudmersive-voice-recognition-api-client

CloudmersiveVoiceRecognitionApiClient - the Ruby gem for the speechapi

Speech APIs enable you to recognize speech and convert it to text using advanced machine learning, and also to convert text to speech.

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v1
- Package version: 2.0.2
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build cloudmersive-voice-recognition-api-client.gemspec
```

Then either install the gem locally:

```shell
gem install ./cloudmersive-voice-recognition-api-client-2.0.2.gem
```
(for development, run `gem install --dev ./cloudmersive-voice-recognition-api-client-2.0.2.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'cloudmersive-voice-recognition-api-client', '~> 2.0.2'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'cloudmersive-voice-recognition-api-client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'cloudmersive-voice-recognition-api-client'

# Setup authorization
CloudmersiveVoiceRecognitionApiClient.configure do |config|
  # Configure API key authorization: Apikey
  config.api_key['Apikey'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Apikey'] = 'Bearer'
end

api_instance = CloudmersiveVoiceRecognitionApiClient::RecognizeApi.new

speech_file = File.new('/path/to/file.txt') # File | Speech file to perform the operation on.  Common file formats such as WAV, MP3 are supported.


begin
  #Recognize audio input as text using machine learning
  result = api_instance.recognize_file(speech_file)
  p result
rescue CloudmersiveVoiceRecognitionApiClient::ApiError => e
  puts "Exception when calling RecognizeApi->recognize_file: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api.cloudmersive.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CloudmersiveVoiceRecognitionApiClient::RecognizeApi* | [**recognize_file**](docs/RecognizeApi.md#recognize_file) | **POST** /speech/recognize/file | Recognize audio input as text using machine learning
*CloudmersiveVoiceRecognitionApiClient::SpeakApi* | [**speak_post**](docs/SpeakApi.md#speak_post) | **POST** /speech/speak/text/basicVoice/{format} | Perform text-to-speech on a string
*CloudmersiveVoiceRecognitionApiClient::SpeakApi* | [**speak_text_to_speech**](docs/SpeakApi.md#speak_text_to_speech) | **POST** /speech/speak/text/voice/basic/audio | Perform text-to-speech on a string


## Documentation for Models

 - [CloudmersiveVoiceRecognitionApiClient::SpeechRecognitionResult](docs/SpeechRecognitionResult.md)
 - [CloudmersiveVoiceRecognitionApiClient::TextToSpeechRequest](docs/TextToSpeechRequest.md)


## Documentation for Authorization


### Apikey

- **Type**: API key
- **API key parameter name**: Apikey
- **Location**: HTTP header

